CREATE TABLE fun_wf_datasets (
    DATASET_ID               NUMBER(18, 0),
    UPLOAD_ID                NUMBER(18, 0)    NOT NULL,
    DATASET_NAME             VARCHAR2(400)    NOT NULL,
    DATASET_VALUE            CLOB         ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    DATASET_ID               NUMBER(18, 0),
    UPLOAD_ID                NUMBER(18, 0)    NOT NULL,
    DATASET_NAME             VARCHAR2(400)    NOT NULL,
    DATASET_VALUE            CLOB         ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_fun_wf_datasets PRIMARY KEY (DATASET_ID, DATASET_ID)
);
